package ${domain}.module.wsvr.req;

import ${domain}.frame.base.BaseFindRequest;
import ${domain}.frame.validation.Select;

import java.util.Date;

/**
 * LogerrFindRequest - 错误日志查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-07-06
 */
public class LogerrFindRequest extends BaseFindRequest {

    /**
     * 日志类型.
     */
    @Select({"系统错误", "任务错误", "业务错误"})
    private String logType;

    /**
     * 任务标题.
     */
    private String logTitle;

    /**
     * 日志状态.
     */
    @Select({"0", "1", "2"})
    private String logState;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    public String getLogType() {
        return this.logType;
    }

    public void setLogType(String logType) {
        this.logType = logType;
    }

    public String getLogTitle() {
        return this.logTitle;
    }

    public void setLogTitle(String logTitle) {
        this.logTitle = logTitle;
    }

    public String getLogState() {
        return this.logState;
    }

    public void setLogState(String logState) {
        this.logState = logState;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
